Naar inhoud

Pricing widgets

Embeddable widgets showing the prices of a unit

The pricing widget object

Attributes

iduuid
organization_iduuid
organizations.id

Identifier of the organization this widget is defined in

product_iduuid | null
products.id

Identifier of the unit whose prices the widget shows

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

color_backgroundtext

Background color of the widget

color_primarytext

Primary color of the widget

color_texttext

Text color of the widget

fonttext | null

Font of the widget

ftsread-onlytsvector
languageLanguage

Language of the widget

show_brandingboolean

Whether to show the Bookingmood branding

titletext

Title of the widget

Related resources

Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).

organizations(*)object | null
organizations

The organization referenced by organization_id.

products(*)object | null
products

The product referenced by product_id.

The pricing widget object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-11-14T14:30:20.132Z",
  "updated_at": "2026-11-14T14:30:20.132Z",
  "color_background": "#fff",
  "color_primary": "#067f54",
  "color_text": "#000",
  "font": "",
  "language": "en-US",
  "show_branding": true,
  "title": "Summer cottage"
}
Including related resources
curl "https://api.bookingmood.com/v1/pricing_widgets?limit=10&select=*,organizations(*),products(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List pricing widgets

Requireschannels:read

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id

Identifier of the organization this widget is defined in

product_idFilter<uuid | null>
products.id

Identifier of the unit whose prices the widget shows

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

color_backgroundFilter<text>

Background color of the widget

color_primaryFilter<text>

Primary color of the widget

color_textFilter<text>

Text color of the widget

fontFilter<text | null>

Font of the widget

ftsFilter<tsvector>
languageFilter<Language>

Language of the widget

show_brandingFilter<boolean>

Whether to show the Bookingmood branding

titleFilter<text>

Title of the widget

Responses

200

A list of pricing widgets with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key or access token doesn't have the scope this request needs.

429

The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET/pricing_widgets
curl "https://api.bookingmood.com/v1/pricing_widgets?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-11-14T14:30:20.132Z",
    "updated_at": "2026-11-14T14:30:20.132Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Create pricing widgets

Requireschannels:write

Body

Partial<PricingWidget> | Array<Partial<PricingWidget>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created pricing widgets with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key or access token doesn't have the scope this request needs, or no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

429

The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST/pricing_widgets
curl "https://api.bookingmood.com/v1/pricing_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "language": "en-US",
    "show_branding": true,
    "title": "Summer cottage"
  }'
Example
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-11-14T14:30:20.132Z",
    "updated_at": "2026-11-14T14:30:20.132Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Delete pricing widgets

Requireschannels:write

Filters

Without filters, this request deletes all pricing widgets you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
organization_idFilter<uuid>
organizations.id

Identifier of the organization this widget is defined in

product_idFilter<uuid | null>
products.id

Identifier of the unit whose prices the widget shows

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

color_backgroundFilter<text>

Background color of the widget

color_primaryFilter<text>

Primary color of the widget

color_textFilter<text>

Text color of the widget

fontFilter<text | null>

Font of the widget

ftsFilter<tsvector>
languageFilter<Language>

Language of the widget

show_brandingFilter<boolean>

Whether to show the Bookingmood branding

titleFilter<text>

Title of the widget

Responses

200

The deleted pricing widgets with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key or access token doesn't have the scope this request needs, or no permission for this change, for example when writing rows of another organization.

429

The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE/pricing_widgets
curl -X DELETE "https://api.bookingmood.com/v1/pricing_widgets?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-11-14T14:30:20.132Z",
    "updated_at": "2026-11-14T14:30:20.132Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Update pricing widgets

Requireschannels:write

Filters

Without filters, this request updates all pricing widgets you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
organization_idFilter<uuid>
organizations.id

Identifier of the organization this widget is defined in

product_idFilter<uuid | null>
products.id

Identifier of the unit whose prices the widget shows

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

color_backgroundFilter<text>

Background color of the widget

color_primaryFilter<text>

Primary color of the widget

color_textFilter<text>

Text color of the widget

fontFilter<text | null>

Font of the widget

ftsFilter<tsvector>
languageFilter<Language>

Language of the widget

show_brandingFilter<boolean>

Whether to show the Bookingmood branding

titleFilter<text>

Title of the widget

Body

Partial<PricingWidget>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated pricing widgets with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key or access token doesn't have the scope this request needs, or no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

429

The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH/pricing_widgets
curl -X PATCH "https://api.bookingmood.com/v1/pricing_widgets?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "color_background": "#fff" }'
Example
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-11-14T14:30:20.132Z",
    "updated_at": "2026-11-14T14:30:20.132Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Neem de controle over je boekingen. Bouw een bedrijf dat van jou is.

Sluit je aan bij 1200+ onafhankelijke vakantieverhuurbedrijven die Bookingmood gebruiken om hun directe boekingen te vergroten en een sterkere band met hun gasten op te bouwen.

Start je gratis 14-daagse proefperiode